# SourcePath: alsa-lib/20180315dev
%define ver      1.1.5

Summary: Advanced Linux Sound Architecture (ALSA) - Library
Name: sony-target-dev-alsa-lib
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-lib
Version: %ver
Release: 08020602
Source: ftp://ftp.alsa-project.org/pub/lib/alsa-lib-%{ver}.tar.bz2
Patch1: alsa-lib-1.1.5-disable-debug.patch
License: LGPLv2.1 / GPLv2
URL: http://www.alsa-project.org
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Advanced Linux Sound Architecture (ALSA) - Library

%package -n %{pkgname}
Summary: Advanced Linux Sound Architecture (ALSA) - Library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Advanced Linux Sound Architecture (ALSA) - Library


%prep
%setup -n alsa-lib-%{version}
%patch1 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-static --enable-shared --with-pythonlibs=-lpython2.7 --with-pythonincludes=-I%{sony_target_dir}%{sony_target_devtool_include_dir}/python2.7
make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib"


%install
rm -rf %{buildroot}
%sony_target_dev_setup
cd objdir &&  make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib" DESTDIR=%{buildroot}%{sony_target_dir} install

%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-, root, root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so.*
%{sony_target_dir}%{sony_target_dev_data_dir}/alsa
%{sony_target_dir}%{sony_target_dev_lib_dir}/alsa-lib/smixer/*

%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/alsa
%{sony_target_dir}%{sony_target_dev_include_dir}/sys/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so
%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal/*

%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*

%changelog
* Wed Mar 11 2020 Sony Corporation
- Changed license to LGPLv2.1 / GPLv2

* Wed Nov 20 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Thu Mar 15 2018 Sony Corporation
- Updated to Alsa-lib-1.1.5

* Wed Feb 18 2015 Sony Corporation
- change due to python version update

* Tue Feb 03 2015 Sony Corporation
- Merging changes from CE Linux 8.2.1.X.

* Tue Apr 07 2009 Sony Corporation
- Initial build.

